<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.UserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.User">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="create_id" property="createId" />
        <result column="mobile" property="mobile" />
        <result column="name" property="name" />
        <result column="login_account" property="loginAccount" />
        <result column="password" property="password" />
        <result column="company_name" property="companyName" />
        <result column="registration_id" property="registrationId" />
        <result column="last_login_time" property="lastLoginTime" />
        <result column="role_id" property="roleId" />
        <result column="enterprise_type" property="enterpriseType" />
        <result column="approle" property="approle" />
        <result column="role_type" property="roleType" />
        <result column="district_id" property="districtId" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="supervisor_id" property="supervisorId" />
        <result column="work_status" property="workStatus" />
        <result column="no" property="no" />
        <result column="email" property="email" />
        <result column="idcard" property="idcard" />
        <result column="sex" property="sex" />
        <result column="rfid_flag" property="rfidFlag" />
        <result column="memo" property="memo" />
        <result column="log_flag" property="logFlag" />
        <result column="back_hard_flag" property="backHardFlag" />
        <result column="authority_id" property="authorityId" />
        <result column="weixin_bind_flag" property="weixinBindFlag" />
        <result column="weixin_openid" property="weixinOpenid" />
        <result column="authentication_flag" property="authenticationFlag" />
        <result column="weixin_name" property="weixinName" />
        <result column="ota_flag" property="otaFlag" />
        <result column="birthday" property="birthday" />
        <result column="employ_date" property="employDate" />
        <result column="termination_date" property="terminationDate" />
        <result column="create_name" property="createName" />
        <result column="modify_name" property="modifyName" />
        <result column="property_authority_id" property="propertyAuthorityId" />
        <result column="ding_user_id" property="dingUserId" />
        <result column="work_at_status" property="workAtStatus" />
        <result column="age" property="age" />
        <result column="probation_protection" property="probationProtection" />
        <result column="note" property="note" />
        <result column="on_time" property="onTime" />
        <result column="off_time" property="offTime" />
        <result column="czj_auth" property="czjAuth" />
        <result column="kg_auth" property="kgAuth" />
        <result column="xb_auth" property="xbAuth" />
        <result column="price_auth" property="priceAuth" />
        <result column="konggan_auth" property="kongganAuth" />
        <result column="czj_function_auth" property="czjFunctionAuth" />
        <result column="kg_function_auth" property="kgFunctionAuth" />
        <result column="no_clean_use_paper_auth" property="noCleanUsePaperAuth" />
        <result column="product_op_auth" property="productOpAuth" />
        <result column="jindie_internal_id" property="jindieInternalId" />
        <result column="dept_id" property="deptId" />
        <result column="dept_name" property="deptName" />
        <result column="post_id" property="postId" />
        <result column="post_name" property="postName" />
        <result column="foam_function_auth" property="foamFunctionAuth" />
        <result column="jindie_salerid" property="jindieSalerid" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_time, modify_id, modify_time, soft_delete, create_id, mobile, name, login_account, password, company_name, registration_id, last_login_time, role_id, enterprise_type, approle, role_type, district_id, agent_id, property_id, supervisor_id, work_status, no, email, idcard, sex, rfid_flag, memo, log_flag, back_hard_flag, authority_id, weixin_bind_flag, weixin_openid, authentication_flag, weixin_name, ota_flag, birthday, employ_date, termination_date, create_name, modify_name, property_authority_id, ding_user_id, work_at_status, age, probation_protection, note, on_time, off_time, czj_auth, kg_auth, xb_auth, price_auth, konggan_auth, czj_function_auth, kg_function_auth, no_clean_use_paper_auth, product_op_auth, jindie_internal_id, dept_id, dept_name, post_id, post_name, foam_function_auth, jindie_salerid
    </sql>

</mapper>
